Billing
Get one purchase and its verified settlement state
GET
Get one purchase and its verified settlement state
Authorizations
Create an API key in the console. Required when accounts are enabled.
Path Parameters
Response
Successful Response
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://console.sqwish.ai/v1/account/payments/{purchase_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/account/payments/{purchase_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/account/payments/{purchase_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "<string>",
"origin": "manual",
"amount_usd": "<string>",
"reversed_usd": "<string>",
"checkout_url": "<string>",
"receipt_url": "<string>",
"created_at": 123,
"credited_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}Create an API key in the console. Required when accounts are enabled.
Successful Response
curl --request GET \
--url https://console.sqwish.ai/v1/account/payments/{purchase_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.sqwish.ai/v1/account/payments/{purchase_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.sqwish.ai/v1/account/payments/{purchase_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"status": "<string>",
"origin": "manual",
"amount_usd": "<string>",
"reversed_usd": "<string>",
"checkout_url": "<string>",
"receipt_url": "<string>",
"created_at": 123,
"credited_at": 123
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"details": [
{
"path": [
"<string>"
],
"message": "<string>",
"type": "<string>"
}
]
}
}